;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **
;* macros		 								*
;*											*
;* bankselektion, pageselektion								*
;* datenkopierung, iic-opencollector simulation, datenversand RS232			*
;*											*
;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **
bank_0	macro					;umschaltung auf ram-bank 0
	bcf	STATUS, RP0
	bcf	STATUS, RP1
	endm
;
bank_1	macro					;umschaltung auf ram-bank 1
	bsf	STATUS, RP0
	bcf	STATUS, RP1
	endm
;
bank_2	macro					;umschaltung auf ram-bank 2
	bcf	STATUS, RP0
	bsf	STATUS, RP1
	endm
;
bank_3	macro					;umschaltung auf ram-bank 3
	bsf	STATUS, RP0
	bsf	STATUS, RP1
	endm
;
page_0	macro					;umschaltung auf programmseite 0
	bcf	pclath, 3
	bcf	pclath, 4
	endm
;
page_1	macro					;umschaltung auf programmseite 1
	bsf	pclath, 3
	bcf	pclath, 4
	endm
;
copy	macro	in,out				;kopieren einer 8-bit variablen
	movfw	in
	movwf	out
	endm
;
copy0_1	macro	in,out				;kopieren einer 8-bit variablen
	bank_0					;von ram-bank 0 nach ram-bank 1
	movfw	in
	bank_1
	movwf	out
	endm
;
copy1_0	macro	in,out				;kopieren einer 8-bit variablen
	bank_1					;von ram-bank 1 nach ram-bank 0
	movfw	in
	bank_0
	movwf	out
	endm
;
starttx	macro					;schalte datenversand ein
	bsf	f_send
	movfw	ans02
	movwf	bcnout
	incf	bcnout
	bank_1
	bsf	txsta, txen
	bank_0	
	endm
;
setris	macro	trisb, pin			;setze entsprechenden pin als eingang
	bank_1					;= hochohmig
	bsf	trisb, pin
	bank_0
	endm
;
cltris	macro	trisb, pin			;setze entsprechenden pin als ausgang
	bank_1
	bcf	trisb, pin
	bank_0
	bcf	portb, pin
	endm
;
con_bta	macro					;convertiere zahlenwert (0...9) in wreg nach ascii
	andlw	H'000F'
	iorlw	H'0030'
	endm
;
con_atb	macro					;convertiere asciiwert (30...39) in wreg nach bcd
	andlw	H'000F'
	endm
;
